Skip to main content
POST
Create the PostgreSQL private endpoint
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Creates the AWS private endpoint service of a Postgres service. Creation takes about 5 to 10 minutes: state is creating until the service is available. A VPC endpoint can connect only after its ID is approved with the update endpoint. Returns 409 if the service already has a private endpoint. Private endpoints are available only for AWS Postgres services, and only for organizations with the feature enabled.

Permission

The API key must have the control-plane:postgres-service:manage permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the Postgres service.

Body

application/json
supportedRegions
string[]

AWS region IDs, other than the service region, from which VPC endpoints can connect, such as us-west-2. The service region is always supported and must not be listed. Requires cross-region private endpoints to be enabled for the organization.

Example:

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object